Package com.emc.documentum.rest.dfc.conversion

# Class DfcValueValidator

java.lang.Object
com.emc.documentum.rest.dfc.conversion.DfcValueValidator

public class DfcValueValidator extends Object
Validator for the value used as `IDfValue`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.documentum.fc.common.DfException`
  `newValidationException(String arg)`
  Generate validation exception
  `static com.documentum.fc.common.IDfValue`
  `toValidatedBoolean(Object value, boolean isValueTypeResolved)`
  Validate Boolean value
  `static com.documentum.fc.common.IDfValue`
  `toValidatedDouble(Object value, boolean isValueTypeResolved)`
  Validate Double value
  `static com.documentum.fc.common.IDfValue`
  `toValidatedId(Object value, boolean isValueTypeResolved)`
  Validate value which should be ID attribute
  `static com.documentum.fc.common.IDfValue`
  `toValidatedInteger(Object value, boolean isValueTypeResolved)`
  Validate Integer value
  `static com.documentum.fc.common.IDfValue`
  `toValidatedString(Object value, boolean isValueTypeResolved)`
  Validate String value
  `static com.documentum.fc.common.IDfValue`
  `toValidatedTime(Object value)`
  Validate value which should be Time attribute

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toValidatedBoolean

    public static com.documentum.fc.common.IDfValue toValidatedBoolean(Object value, boolean isValueTypeResolved) throws com.documentum.fc.common.DfException
    Validate Boolean value
    Parameters:
      `value` - the value to validate
      `isValueTypeResolved` - `true` if the value type is already resolved.
    Returns:
      `IDfValue` instance based on the `value` which passes validation
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### toValidatedInteger

    public static com.documentum.fc.common.IDfValue toValidatedInteger(Object value, boolean isValueTypeResolved) throws com.documentum.fc.common.DfException
    Validate Integer value
    Parameters:
      `value` - the value to validate
      `isValueTypeResolved` - `true` if the value type is already resolved.
    Returns:
      `IDfValue` instance based on the `value` which passes validation
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### toValidatedDouble

    public static com.documentum.fc.common.IDfValue toValidatedDouble(Object value, boolean isValueTypeResolved) throws com.documentum.fc.common.DfException
    Validate Double value
    Parameters:
      `value` - the value to validate
      `isValueTypeResolved` - `true` if the value type is already resolved.
    Returns:
      `IDfValue` instance based on the `value` which passes validation
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### toValidatedId

    public static com.documentum.fc.common.IDfValue toValidatedId(Object value, boolean isValueTypeResolved) throws com.documentum.fc.common.DfException
    Validate value which should be ID attribute
    Parameters:
      `value` - the value to validate
      `isValueTypeResolved` - `true` if the value type is already resolved.
    Returns:
      `IDfValue` instance based on the `value` which passes validation
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### toValidatedString

    public static com.documentum.fc.common.IDfValue toValidatedString(Object value, boolean isValueTypeResolved) throws com.documentum.fc.common.DfException
    Validate String value
    Parameters:
      `value` - the value to validate
      `isValueTypeResolved` - `true` if the value type is already resolved.
    Returns:
      `IDfValue` instance based on the `value` which passes validation
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### toValidatedTime

    public static com.documentum.fc.common.IDfValue toValidatedTime(Object value) throws com.documentum.fc.common.DfException
    Validate value which should be Time attribute
    Parameters:
      `value` - the value to validate
    Returns:
      `IDfValue` instance based on the `value` which passes validation
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### newValidationException

    public static com.documentum.fc.common.DfException newValidationException(String arg)
    Generate validation exception
    Parameters:
      `arg` - error message argument
    Returns:
      instance of `DfException`